##=============================================================================
## Nuxeo configuration file
##=============================================================================
## See https://doc.nuxeo.com/x/PwA7 and https://doc.nuxeo.com/x/QQA7
## for detailed information about the settings below.

##-----------------------------------------------------------------------------
## Java
##-----------------------------------------------------------------------------
#JAVA_HOME=/usr/lib/jvm/java-7-sun
#JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home

## Heap size
JAVA_OPTS=-Xms512m -Xmx1024m

## File encoding and encoded MIME parameters support
JAVA_OPTS=$JAVA_OPTS -Dfile.encoding=UTF-8 -Dmail.mime.decodeparameters=true

## Update sort behavior for Arrays and Collections may throw an IllegalArgumentException
JAVA_OPTS=$JAVA_OPTS -Djava.util.Arrays.useLegacyMergeSort=true

## Log Garbage Collector informations into a file
JAVA_OPTS=$JAVA_OPTS -Xloggc:"${nuxeo.log.dir}/gc.log" -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps

##-----------------------------------------------------------------------------
## Nuxeo launcher
##-----------------------------------------------------------------------------
#launcher.start.max.wait=300
#launcher.stop.max.wait=60
#launcher.override.java.tmpdir=true

##-----------------------------------------------------------------------------
## Nuxeo filesystem paths
## ----------------------------------------------------------------------------
## Relative paths will be anchored at NUXEO_HOME; the following
##  are not default values but recommended values
#nuxeo.log.dir=/var/log/nuxeo
#nuxeo.pid.dir=/var/run
#nuxeo.data.dir=/var/lib/nuxeo
#nuxeo.tmp.dir=/tmp

##-----------------------------------------------------------------------------
## General parameters
##-----------------------------------------------------------------------------
## Will regenerate config from these parameters each time the server
##  is restarted
nuxeo.force.generation=true
#nuxeo.templates=default
#nuxeo.bind.address=0.0.0.0
#nuxeo.url=http://localhost:8080/nuxeo
#org.nuxeo.ecm.contextPath=/nuxeo
#org.nuxeo.ecm.product.name=
#org.nuxeo.ecm.product.version=

##-----------------------------------------------------------------------------
## Database configuration
##-----------------------------------------------------------------------------
#nuxeo.db.name=
#nuxeo.db.user=
#nuxeo.db.password=
#nuxeo.db.host=
#nuxeo.db.port=
#nuxeo.db.jdbc.url=
#nuxeo.db.driver=
## Pools
#nuxeo.db.min-pool-size=
#nuxeo.db.max-pool-size=
#nuxeo.vcs.min-pool-size=
#nuxeo.vcs.max-pool-size=
## Database transaction timeout in seconds (tomcat only)
#nuxeo.db.transactiontimeout=300

##-----------------------------------------------------------------------------
## Elasticsearch configuration
##-----------------------------------------------------------------------------
## Enable or disable Elasticsearch integration, default is true.
#elasticsearch.enabled=false

## Remote elasticsearch cluster to join, comma separated list of nodes,
##  if empty use an embedded server, not for production !
#elasticsearch.addressList=localhost:9300

## Remote elasticsearch cluster name to join.
#elasticsearch.clusterName=elasticsearch

## Name of the Elasticsearch index for the default document repository
#elasticsearch.indexName=nuxeo

## Number of replicas (not for embedded mode)
#elasticsearch.indexNumberOfReplicas=1

## Display Elasticsearch cluster and nodes information in admin center
## default is false (always true for embedded mode)
#elasticsearch.adminCenter.displayClusterInfo=true

## Embedded elasticsearch server accept HTTP request on port 9200.
## Only requests from local machine are accepted.
elasticsearch.httpEnabled=true

## Comma separated list of CorePageProvider to supersede by Elasticsearch.
##  default is default_search,DEFAULT_DOCUMENT_SUGGESTION.
#elasticsearch.override.pageproviders=default_search,document_content,section_content,document_content,tree_children,default_document_suggestion,simple_search,advanced_search,nxql_search,DEFAULT_DOCUMENT_SUGGESTION

## Enable or disable Elasticsearch as a backend for audit logs.
## Default is false in common-base template for upgrade purpose, not breaking an existing instance.
## Set here to true for activation on a new instance.
audit.elasticsearch.enabled=true

## Name of the Elasticsearch index for audit logs
#audit.elasticsearch.indexName=${elasticsearch.indexName}-audit
## Name of the Elasticsearch index for the uid sequencer
#seqgen.elasticsearch.indexName=${elasticsearch.indexName}-uidgen

## See templates/common-base/nuxeo.defaults for more elasticsearch options

##-----------------------------------------------------------------------------
## Mail settings (for notifications)
##-----------------------------------------------------------------------------
#nuxeo.notification.eMailSubjectPrefix="[Nuxeo]"
#mail.transport.host=
#mail.transport.port=
#mail.transport.auth=
#mail.transport.user=
#mail.transport.password=
#mail.from=
#mailservice.user=
#mailservice.password=
#mail.store.protocol=
#mail.transport.protocol=
#mail.user=
#mail.pop3.host=
#mail.debug=

##-----------------------------------------------------------------------------
## OpenOffice / LibreOffice server config
##-----------------------------------------------------------------------------
#jod.connection.protocol=SOCKET
#jod.max.tasks.per.process=
#jod.task.execution.timeout=
#jod.task.queue.timeout=
#jod.office.home=
#jod.jpipe.lib.path=
#jod.template.profile.dir=

##-----------------------------------------------------------------------------
## OpenSocial settings
##-----------------------------------------------------------------------------
#opensocial.gadgets.embeddedServer=
#opensocial.gadgets.host=
#opensocial.gadgets.port=
#opensocial.gadgets.path=
#opensocial.trusted.hosts=
## Encoding of the zip entries filename
#zip.entry.encoding=ascii

##-----------------------------------------------------------------------------
## Nuxeo Dev Mode
##-----------------------------------------------------------------------------
## Enable this mode if you'd like to benefit from hot reload features
##  useful for development. Setting this property to true will:
## - set the JSF facelets refresh period to 2s, enabling to check for
##   changes on JSF files
## - make it possible to hot-reload Studio jars from the admin center
## - reset different levels of caches when hot-reloading a Studio jar,
##   or when triggering the "Dev Mode > Force flush" action available
##   in user menu to administrators of the application
## The dev mode is disabled by default (not suitable for production)
##  and can also be activated from the Admin Center.
#org.nuxeo.dev=true

##-----------------------------------------------------------------------------
## Nuxeo REST API
## -----------------------------------------------------------------------------
## Enable StackTrace display in JSON payload response in case of
## exception. By default there is no stacktrace displayed, only simple
## exception details.
#org.nuxeo.rest.stack.enable=true

##-----------------------------------------------------------------------------
## Nuxeo Automation Trace
##-----------------------------------------------------------------------------
## Enable this mode if you'd like to display automation traces during
##  runtime.  You'll benefit from exhaustive logs to debug all
##  automation chain and/or operation execution.
## The automation trace mode is disabled by default (not suitable for
##  production) and can also be activated through JMX via
##  org.nuxeo.automation:TracerFactory MBean during runtime.
#org.nuxeo.automation.trace=true

## By default, all automation executions are 'printable' (appear in
##  logs). You can filter chain and/or operation execution trace
##  printing by setting this property to chain name and/or operation
##  separated by comma. Comment it to get all back.
#org.nuxeo.automation.trace.printable=chainIdA,ChainIdB

##-----------------------------------------------------------------------------
## Nuxeo Routing - Clean up 'done' and 'canceled' workflow instances
##-----------------------------------------------------------------------------
## By default, completed workflow instances are removed. The clean-up
##  is triggered daily at midnight. (by a scheduler with the id
##  'workflowInstancesCleanup') If you want to keep these workflows
##  enable the following line:
#nuxeo.routing.disable.cleanup.workflow.instances=true

##-----------------------------------------------------------------------------
## LiveEdit auto-versioning will minor version if set to minor
##-----------------------------------------------------------------------------
#org.nuxeo.ecm.platform.liveedit.autoversioning=minor

##-----------------------------------------------------------------------------
## Clustering settings
##-----------------------------------------------------------------------------
#repository.clustering.enabled=false
#repository.clustering.delay=1000
#repository.clustering.invalidation=default
## If clustering is activated, set
#repository.binary.store=/path/to/some/shared/folder/for/binaries

##-----------------------------------------------------------------------------
## Debugging options
##-----------------------------------------------------------------------------

## Sample JPDA settings for remote socket debugging
#JAVA_OPTS=$JAVA_OPTS -Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n

## Sample JPDA settings for shared memory debugging
#JAVA_OPTS=$JAVA_OPTS -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_shmem,server=y,suspend=n,address=jboss

## Enable jconsole
#JAVA_OPTS=$JAVA_OPTS -Dcom.sun.management.jmxremote=true

## Enable JMX
#JAVA_OPTS=$JAVA_OPTS -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=1089 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false

## Disable soft references
#JAVA_OPTS=$JAVA_OPTS -XX:SoftRefLRUPolicyMSPerMB=0

## Mission control fligth recorder
#JAVA_OPTS=$JAVA_OPTS -Dcom.sun.management.jmxremote.autodiscovery=true -Dcom.sun.management.jdp.name=Nuxeo -XX:+UnlockCommercialFeatures -XX:+FlightRecorder
nuxeo.wizard.done=false

nuxeo.data.dir=C:/ProgramData/Nuxeo/data
nuxeo.log.dir=C:/ProgramData/Nuxeo/logs
nuxeo.tmp.dir=C:/ProgramData/Nuxeo/tmp
nuxeo.wizard.skippedsections=Paths








### BEGIN - DO NOT EDIT BETWEEN BEGIN AND END ###
#server.status.key=
server.status.key=867aa60f
### END - DO NOT EDIT BETWEEN BEGIN AND END ###
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
